# Uses of Interface
java.awt.Composite

Packages that use Composite
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.

## Uses of Composite in java.awt

Classes in java.awt that implement Composite
Modifier and Type
Class
Description
`final class`
`AlphaComposite`
The `AlphaComposite` class implements basic alpha compositing rules for combining source and destination colors to achieve blending and transparency effects with graphics and images.
Methods in java.awt that return Composite
Modifier and Type
Method
Description
`abstract Composite`
Graphics2D.`getComposite()`
Returns the current `Composite` in the `Graphics2D` context.
Methods in java.awt with parameters of type Composite
Modifier and Type
Method
Description
`abstract void`
Graphics2D.`setComposite(Composite comp)`
Sets the `Composite` for the `Graphics2D` context.